Skip to content

Get Schema

GET
/api/v1/connections/{connection_id}/schema

Get the latest schema snapshot for a connection.

connection_id
required
Connection Id
string format: uuid

Successful Response

SchemaDataResponse

Response for GET /connections/{id}/schema.

object
success
required
Success

Whether the request succeeded.

boolean
data
Any of:
object
key
additional properties
any
error
Any of:
ErrorDetail
object
code
required
Code

Machine-readable error code (e.g., ‘NOT_FOUND’, ‘VALIDATION_ERROR’).

string
message
required
Message

Human-readable error message describing what went wrong.

string
details
Any of:

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object